<template>
    <div class="header-container">
        <div class="header-text-container">
            <div class="free-trial-container">
                <div
                    v-if="header"
                    class="text-button-container"
                >
                    <div>
                        {{ header.message }}
                    </div>
                    <b-button
                        v-if="header.show_skip_trial_button"
                        type="button"
                        size="sm"
                        variant="warning"
                        class="skip-trial-button"
                        @click="skipFreeTrial"
                    >
                        Skip free trial
                    </b-button>
                </div>
            </div>
            <div class="header-button-container">
                <a
                    href="https://www.facebook.com/groups/rocket001117/"
                    target="_blank"
                    class="btn header-btn"
                >
                    <i class="fa fa-facebook" />
                    Join FB Group
                </a>
                <a
                    class="btn header-btn"
                    href="https://carti.crisp.help/en/"
                    target="_blank"
                >
                    <i class="fa fa-bullhorn" />
                    Help
                </a>
            </div>
        </div>
    </div>
</template>

<script>
import shop from '../../mixins/shop.service'

export default {
    name: "HeaderText",
    mixins: [shop],
    data() {
        return {
            header: null,
        }
    },
    async created() {
        await this.getHeader()
    },
    methods: {
        async getHeader() {
            try {
                this.header = await this.getShopHeader()

            } catch (error) {

            }

        },
        async skipFreeTrial() {
            try {
                const response = await this.skipTrial()
                if (response) {
                    await this.getHeader()
                }
            } catch (error) {

            }

        }
    }
}
</script>

<style scoped lang="scss">

.free-trial-container {
    display: flex;
    align-items: center;
}

.skip-trial-button {
    margin-left: 20px;
}

.header-text-container {
    padding-top: 40px;
    display: flex;
    justify-content: space-between;
    @media screen and (max-width: 1040px) {
        flex-direction: column;
    }
}

.text-button-container {
    display: flex;
    align-items: center;
}

.header-text-span {
    border-right: 1px solid #A8B2C4;
    padding-right: 10px;
}

.header-container {
    padding-left: 50px;
    padding-right: 50px;
    width: 100%;
    @media screen and (max-width: 770px) {
        padding-left: 15px;
        padding-right: 15px;
        padding-top: 60px;
    }
}

.left-header-text-container {
    display: flex;
    align-items: baseline;

    @media screen and (max-width: 1040px) {
        justify-content: center;
    }
    @media screen and (max-width: 770px) {
        justify-content: left;
    }
}

.header-btn {
    color: #4786FF;
    background: transparent;
    font-weight: 500;
    font-size: 14px;

    &:hover {
        color: #6BA2FF;
    }

    @media screen and (max-width: 1040px) {
        margin-left: 0;
    }
    @media screen and (max-width: 770px) {
        padding-left: 0;
    }
}

.header-button-container {
    display: flex;
    @media screen and (max-width: 1040px) {
        justify-content: center;
    }
    @media screen and (max-width: 770px) {
        justify-content: left;
    }
}

.header-message {
    font-size: 14px;
    color: #1B2437;
    font-weight: 400;
}

.header-text {
    padding-right: 12px;
    font-size: 14px;
    color: #1B2437;
    font-weight: 400;
}


</style>
